Subject: Re: [X2Go-Dev] Bug#1369: Bug#1369: Keys do not release when using Emacs in X2GO Client

From: Bob Harold <[email-masked]>
Date: Wed, 13 Mar 2019 21:50:46 -0400

On Wed, Mar 13, 2019 at 5:17 AM Ulrich Sibiller <[email-masked]> wrote:

> On Wed, Mar 13, 2019 at 9:10 AM Yan Zhang <[email-masked]> wrote:
>
> >> > I am using Emacs 24.5.1 with x2go client version 4.1.2.0 in Windows
> 10. My server OS is Ubuntu 16.04 and the x2goserver comes from the PPA repo.
>
> You could try updating your nx-libs to nightly and retry:
> https://sunweavers.net/blog/node/20
>
> > The difference is whether I start mark region (by hitting "ctrl+space")
> before moving cursor. The client will only stuck if I first start mark
> region and then hold cursor-moving keys like "ctrl+n" or "ctrl+p" for a few
> seconds.
>
> Ok, understood. But still not replicable for me.
>
> >  I tried "xev -event keyboard" in a XFCE session and did not observe any
> missing keystrokes.
>
> Nor did I. So maybe this is bug in emacs. I tested with 24.3.1, can
> you downgrade?
>
> Uli
>

Just a thought - there is some lag in the screen updates from the remote
host when using a protocol like x2.  It is possible that holding the keys
for a few seconds, with auto-repeat, has buffered enough copies of the
keystroke to scroll the file all the way to the end, even after you let
go.  Is that possible?

-- 
Bob Harold